http://schemas.{region}.amazonaws.com/v1/registries/name/{registryName}/schemas/search#keywordsSearch the schemas
The name of the registry.
Specifying this limits the results to only schemas that include the provided keywords.
The token that specifies the next page of results to return. To request the first page, leave NextToken empty. The token will expire in 24 hours, and cannot be shared with other accounts.
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://schemas.{region}.amazonaws.com/v1/registries/name/{registryName}/schemas/search#keywords' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://schemas.{region}.amazonaws.com/v1/registries/name/{registryName}/schemas/search#keywordsSearch the schemas
The name of the registry.
Specifying this limits the results to only schemas that include the provided keywords.
The token that specifies the next page of results to return. To request the first page, leave NextToken empty. The token will expire in 24 hours, and cannot be shared with other accounts.
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://schemas.{region}.amazonaws.com/v1/registries/name/{registryName}/schemas/search#keywords' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}